package com.adealink.weparty.joinus.step2.dialog

import com.adealink.frame.aab.util.getCompatString
import com.adealink.frame.mvvm.view.viewBinding
import com.adealink.frame.util.onClick
import com.adealink.weparty.commonui.widget.BottomDialogFragment
import com.adealink.weparty.joinus.R
import com.adealink.weparty.joinus.databinding.DialogExampleAvatarBinding

class ExampleAvatarDialog : BottomDialogFragment(R.layout.dialog_example_avatar) {

    private val binding by viewBinding(DialogExampleAvatarBinding::bind)
    override fun initViews() {
        super.initViews()
        binding.btnClose.onClick {
            dismiss()
        }

        binding.vWrong1.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_1)
        binding.vWrong1.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip1)

        binding.vWrong2.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_2)
        binding.vWrong2.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip2)

        binding.vWrong3.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_3)
        binding.vWrong3.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip3)

        binding.vWrong4.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_4)
        binding.vWrong4.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip4)

        binding.vWrong5.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_5)
        binding.vWrong5.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip5)

        binding.vWrong6.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_6)
        binding.vWrong6.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip6)

        binding.vWrong7.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_7)
        binding.vWrong7.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip7)

        binding.vWrong8.ivWrong.setImageResource(R.drawable.join_us_avatar_wrong_8)
        binding.vWrong8.tvWrong.text = getCompatString(R.string.join_us_example_avatar_wrong_tip8)
    }

}